- Travel Agency Email
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/ticket/travelagency/reservationworkbench/{ReservationResource_Identifier}/travelagency/addemail
- https://api.travelport.net/11https://api.travelport.net/11/air/ticket/travelagency/reservationworkbench/{ReservationResource_Identifier}/travelagency/addemail
curl -i -X POST \
https://api.pp.travelport.net/11/air/ticket/travelagency/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/travelagency/addemail \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"TravelAgencyQueryTravelAgencyEmail": "john@travelport.com"
}'Created - 201
A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.
Also known as E2ETrackingId.
Not returned in all Hotel API responses.
Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.
For Air Eligibility, returned if a custom trace ID was sent in the request header.
For Hotel Rules, returned if a custom trace ID was sent in the request header.
Identifier used to correlate hotel API invocations across a multi-call business flows.
Status of reservation or offer completion.
| Enum Value | Description |
|---|---|
| Success | All offer items have been booked and issued successfully. |
| Fail | All offer items have failed to issue. |
| Partial | Some offer items have failed to issue. |
| Pending | Some offer items are pending carrier response. |
| OnHold | Document issuance has not been attempted. |
| Retry | A communication error has occurred and retry of document issuance is required. |
| Other | An issue has occurred and will be communicated in the error or warning response. |
Returns the error and/or warning message information, if applicable.
See Error Messaging for additional details.
A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).
Container for the steps that describe actions that may be taken on the containing object.
Not applicable for an Eligibility or Exchange response.
{ "TravelAgency": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ null ], "Warning": [ null ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ { … } ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { "@type": "CurrencyRateConversion", "SourceCurrency": { … }, "TargetCurrency": { … }, "ConversionRate": { … } } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } }